<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/csl_root_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#5D000000">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/csl_share_layout"
        android:layout_width="match_parent"
        android:layout_height="176dp"
        android:layout_margin="20dp"
        android:background="@drawable/bg_share_play_meditation_bottom"
        android:paddingHorizontal="15dp"
        android:paddingTop="28dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <LinearLayout
            android:id="@+id/ll_wechat_friend"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@id/ll_wechat_circle_of_friends"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/icon_meditation_share_wechat" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="微信好友"
                android:textColor="#FF666666"
                android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_wechat_circle_of_friends"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@id/ll_save_picture"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/ll_wechat_friend"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/icon_meditation_share_friends" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="朋友圈"
                android:textColor="#FF666666"
                android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_save_picture"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:visibility="gone"
            app:layout_constraintEnd_toStartOf="@id/ll_qq_zone"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/ll_wechat_circle_of_friends"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/icon_meditation_share_save" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="保存图片"
                android:textColor="#FF666666"
                android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_qq_zone"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@id/ll_qq_friend"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/ll_save_picture"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/icon_meditation_share_qqzone" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="QQ空间"
                android:textColor="#FF666666"
                android:textSize="14sp" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_qq_friend"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_weight="1"
            app:layout_constraintStart_toEndOf="@id/ll_qq_zone"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@drawable/icon_meditation_share_qq" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="QQ好友"
                android:textColor="#FF666666"
                android:textSize="14sp" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_cancel_share"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="20dp"
            android:text="取消"
            android:textColor="#FF242424"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/csl_layout_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="20dp"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_share_play_meditation_bottom"
        android:paddingBottom="18dp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@id/csl_share_layout"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <ImageView
            android:id="@+id/iv_share_picture"
            android:layout_width="match_parent"
            android:layout_height="267dp"
            android:layout_margin="16dp"
            android:scaleType="centerCrop"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/muse_muse_icon_playing"
            android:visibility="invisible"/>

        <TextView
            android:id="@+id/tv_share_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="24dp"
            android:layout_marginTop="18dp"
            android:visibility="invisible"
            tools:text='" 你一定要站在自己所热爱的世界里闪闪发光 "'
            android:textColor="#FF282E3F"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_share_picture" />

        <ImageView
            android:id="@+id/iv_share_logo"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="44dp"
            android:scaleType="centerCrop"
            android:src="@drawable/muse_muse_icon_playing"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_share_content" />

        <TextView
            android:id="@+id/tv_app_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="壹点灵"
            android:textColor="#FF282E3F"
            android:textSize="18sp"
            android:textStyle="bold"
            android:visibility="invisible"
            app:layout_constraintStart_toEndOf="@id/iv_share_logo"
            app:layout_constraintTop_toTopOf="@id/iv_share_logo" />

        <TextView
            android:id="@+id/tv_app_slogan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:text="温暖而有力的爱着你"
            android:textColor="#FF999999"
            android:textSize="14sp"
            android:visibility="invisible"
            app:layout_constraintBottom_toBottomOf="@id/iv_share_logo"
            app:layout_constraintStart_toEndOf="@id/iv_share_logo" />

        <ImageView
            android:id="@+id/iv_share_qr_code"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginEnd="16dp"
            android:scaleType="centerCrop"
            android:visibility="invisible"
            android:src="@drawable/muse_muse_icon_playing"
            app:layout_constraintBottom_toBottomOf="@id/iv_share_logo"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/iv_share_logo" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>